Update Projects Labels

puthttps://app.fossa.com/api/v2/projects/labels

Apply a label to one to many projects.

Query parameters

labelIdnumberrequired

The ID of the label you want to apply to projects.

locatorsenum | string[]required

The list of locators for the projects to update. If "all" is provided, then all projects that meet the provided filters will have the label applied.

titlestring

Filter by project name.

type[]enum[]

Filter by project type.

isPublicboolean

Filter by project being public or private.

labels[]string[]

Filter by project labels.

teamId[]array | null

Filter by one or more team IDs. Providing "null" will return all unassigned projects.

latestScaninteger

Filter by last policy scan within N days.

lastRevisionWithininteger

Filter by last revision analyzed within N days.

urlstring

Filter by a project's URL.

includeSharedProjectsboolean

Include shared projects.

onlyIncludeSharedProjectsboolean

Only show projects that have been shared with other organizations.

Responses

200OK
object

An object detailing failures when applying the label. The keys are locators of projects that failed. The values are error messages. If it is empty, everything succeeded.

403Forbidden
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

PUT https://app.fossa.com/api/v2/projects/labels
curl --request PUT \  --url 'https://app.fossa.com/api/v2/projects/labels' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Query params

labelIdnumberrequired

The ID of the label you want to apply to projects.

locatorsstringrequired

The list of locators for the projects to update. If "all" is provided, then all projects that meet the provided filters will have the label applied.

titlestring

Filter by project name.

type[]array

Filter by project type.

isPublicboolean

Filter by project being public or private.

labels[]array

Filter by project labels.

teamId[]array

Filter by one or more team IDs. Providing "null" will return all unassigned projects.

latestScaninteger

Filter by last policy scan within N days.

lastRevisionWithininteger

Filter by last revision analyzed within N days.

urlstring

Filter by a project's URL.

includeSharedProjectsboolean

Include shared projects.

onlyIncludeSharedProjectsboolean

Only show projects that have been shared with other organizations.